%global drupaldir %{_datadir}/drupal6
Name:      drupal6-views_bulk_operations
Version:   1.16
Release:   1%{?dist}
Summary:   This module augments Views by allowing bulk operations to be executed

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/views_bulk_operations
Source0:   http://ftp.drupal.org/files/projects/views_bulk_operations-6.x-%{version}.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, drupal6-views

%description
This module augments Views by allowing bulk operations to be executed
on the nodes displayed by a view.
It does so by showing a check box in front of each node,
and adding a select box containing operations
that can be applied on the selected nodes.

%prep
%setup -qn views_bulk_operations
chmod -x views_bulk_operations.module
chmod -x README.txt
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/views_bulk_operations
cp -pr * %{buildroot}%{drupaldir}/modules/views_bulk_operations

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt README.txt
%exclude %{drupaldir}/modules/views_bulk_operations/*.txt
%{drupaldir}/modules/views_bulk_operations

%changelog
* Fri Aug 16 2013 Peter Borsa <peter.borsa@gmail.com> - 1.16-1
- Update to upstream 1.16 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/1856704

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 25 2013 Peter Borsa <peter.borsa@gmail.com> - 1.15-1
- Update to upstream 1.15 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2025049

* Wed Jun 12 2013 Peter Borsa <peter.borsa@gmail.com> - 1.14-1
- Update to upstream 1.14 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/1925522

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 22 2011 Sven Lankes - 1.11-1
- update to latest upstream release
- fixes DRUPAL-SA-CONTRIB-2011-042
- translations have been removed upstream

* Sun Feb 27 2011 Sven Lankes - 1.10-7
- Fix maintainer error - I worked on the wrong branch

* Sun Feb 27 2011 Sven Lankes - 1.10-6.2
- Also adjust drupaldir

* Sun Feb 27 2011 Sven Lankes - 1.10-6.1
- Fix requires for F14 where drupal6 ist still called drupal

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Peter Borsa <peter.borsa@gmail.com> - 1.10-5
- Lang macro is corrected.

* Fri Jan 28 2011 Peter Borsa <peter.borsa@gmail.com> - 1.10-4
- Version macro is added to Source0 line.
- Lang macro is added.

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.10-3
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Wed Jan 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.10-2
- Fixed License field.

* Thu Jan 13 2010 Peter Borsa <peter.borsa@gmail.com> - 1.10-1
- Initial packaging.
